Bug 444315 - mousetweaks - Mouse accessibility support for the GNOME desktop
mousetweaks - Mouse accessibility support for the GNOME desktop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 19:53 EDT by Matthias Clasen
Modified: 2008-04-30 20:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 20:04:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bnocera: fedora‑review+
notting: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-04-26 19:53:30 EDT
The Mousetweaks package provides mouse accessibility enhancements for
the GNOME desktop, such as performing various clicks without using any
hardware button. The options can be accessed through the Accessibility
tab of the Mouse Preferences of GNOME Control Center or through command-line.

http://people.redhat.com/mclasen/mousetweaks.spec
http://people.redhat.com/mclasen/mousetweaks-2.22.1-1.fc9.src.rpm
Comment 1 Bastien Nocera 2008-04-29 11:35:22 EDT
$ rpmlint mousetweaks-2.22.1-1.fc9.src.rpm 
mousetweaks.src: W: mixed-use-of-spaces-and-tabs (spaces: line 21, tab: line 1)

$ rpmlint
/home/hadess/Projects/packages/RPMS/x86_64/mousetweaks-2.22.1-1.fc8.x86_64.rpm
mousetweaks.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/mousetweaks.schemas
mousetweaks.x86_64: W: non-conffile-in-etc
/etc/gconf/schemas/pointer-capture-applet.schemas

- MUST: The package must be named according to the Package Naming Guidelines.

OK

- MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.

OK

- MUST: The package must meet the Packaging Guidelines.

OK

- MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines.

OK

- MUST: The License field in the package spec file must match the actual license.

OK

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

OK

- MUST: The spec file must be written in American English.

OK

- MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).

OK

- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

OK

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.

OK

- MUST: If the package does not successfully compile <snip>

N/A

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.

OK

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

OK

- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.

N/A

- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

N/A

- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.

OK

- MUST: A package must not contain any duplicate files in the %files listing.

OK

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

OK

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).

OK.

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.

OK

- MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.

OK

- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)

OK

- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

OK

- MUST: Header files must be in a -devel package.

N/A

- MUST: Static libraries must be in a -static package.

N/A

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).

N/A

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.

N/A

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

N/A

- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.

N/A

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
Packaging Guidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your explanation.

N/A, launched from the control-center

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.

OK

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.

OK

- MUST: All filenames in rpm packages must be valid UTF-8.

OK

- SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.

OK

- SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available.

N/A

- SHOULD: The reviewer should test that the package builds in mock. See
MockTricks for details on how to do this.

OK

- SHOULD: The package should compile and build into binary rpms on all supported
architectures.

OK

- SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example.

OK

- SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague,
and left up to the reviewers judgement to determine sanity.

OK

- SHOULD: Usually, subpackages other than devel should require the base package
using a fully versioned dependency.

N/A

- SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.

N/A

- SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself. Please see File Dependencies in the Guidelines for
further information.

N/A
Comment 2 Matthias Clasen 2008-04-29 13:47:04 EDT
New Package CVS Request
=======================
Package Name: mousetweaks
Short Description: Mouse accessibility support for the GNOME desktop
Owners: mclasen
Branches: devel, F-9
Comment 3 Bill Nottingham 2008-04-29 15:58:32 EDT
Done.
Comment 4 Matthias Clasen 2008-04-30 20:04:28 EDT
Built

Note You need to log in before you can comment on or make changes to this bug.